Get lip sync task by task ID
curl --request GET \
--url https://api.jogg.ai/v2/lip_sync_video/{task_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/lip_sync_video/{task_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/lip_sync_video/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"task_id": "3d5c6930-d0da-4f7b-826e-cd1530f6734f",
"status": "success",
"created_at": 1741500000,
"completed_at": 1741500030,
"data": {
"result_url": "https://res.jogg.ai/lipsync-result.mp4",
"cover_url": "https://res.jogg.ai/lipsync-cover.jpg",
"duration_seconds": 12.5
},
"error": {
"message": "consume retry limit reached: audio duration fetch failed"
}
}
}Video
Get Lip Sync Video Task
Query lip sync task status and result by task ID.
GET
/
v2
/
lip_sync_video
/
{task_id}
Get lip sync task by task ID
Query the status and result of a lip sync video task by
task_id.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/lip_sync_video/3d5c6930-d0da-4f7b-826e-cd1530f6734f' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Create Lip Sync Video Task
Submit a new lip sync task
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Path Parameters
Lip sync task ID
Example:
"3d5c6930-d0da-4f7b-826e-cd1530f6734f"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

